# kabc Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KABC::SortingTraits Namespace Reference

Each trait must implement one static function for equality, one for "less than". More...

## Detailed Description

Each trait must implement one static function for equality, one for "less than".

Class name should be the field name. A trait does not necessarily have to stick to just one field: a trait sorting by family name can e.g. sort addressees with equal family name by given name.

If you want to implement reverse sorting, you do not have to write another trait, as AddresseeList takes care of that.

This file is part of the documentation for kabc Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:31:56 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003